Foreman - Bug #35483

Minified React error #130 when opening Webhooks Page
09/02/2022 06:45 PM - Ben Erickson

Status: Closed
Priority: Normal
Assignee: Ron Lavi
Category:
Target version:
Difficulty: Fixed in Releases: 3.3.2
Triaged: No Found in Releases:  3.3.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9404
Description

Ref: https://community.theforeman.org/t/foreman-3-3-webhooks-plugin-3-0-4-minified-react-error-on-webhooks-page-load/30201/2

Foreman and Proxy versions:

foreman 3.3.0-1
foreman-proxy 3.3.0-1

Foreman and Proxy plugin versions:

foreman-tasks 6.0.2
foreman_ansible 7.1.2
foreman_host_reports 1.0.2
foreman_puppet 4.0.1
foreman_remote_execution 7.1.1
foreman_webhooks 3.0.4
foreman_xen 1.0.1

katello 4.5.0

When opening the Webhook page, | get an error message. This error is not present in any other pages in Foreman, which leads me
to believe it may be a webhook plugin issue. Error message on the page:

Error: Minified React error #130; visit https://reactjs.org/docs/error-decoder.html?invariant=130&
args|[]=nullé&args[]= for the full message or use the non-minified dev environment for full errors a
nd additional helpful warnings.,
https://community.theforeman.org/t/foreman-3-3-webhooks-plugin-3-0-4-minified-react-error-on-webhooks-page-load/30201/2
Error in the Javascript console:

Error: Minified React error #130; visit https://reactjs.org/docs/error-decoder.html?invariant=130&
args|[]=nullé&args[]= for the full message or use the non-minified dev environment for full errors a
nd additional helpful warnings.
History

#1 - 10/14/2022 12:44 PM - Ewoud Kohl van Wijngaarden

- Description updated

#2 - 10/14/2022 01:15 PM - Oleh Fedorenko

- Status changed from New to Closed

- Assignee set to Ron Lavi

- Pull request https://github.com/theforeman/foreman/pull/9404 added
- Fixed in Releases 3.3.2 added

- Found in Releases 3.3.0 added
